Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ESC/Java2 © 2003,2004,2005 David Cok and Joseph Kiniry © 2005 UCD Dublin © 2003,2004 Radboud University Nijmegen © 1999,2000 Compaq Computer Corporation © 1997,1998,1999 Digital Equipment Corporation All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## escjava.tc
Class Datagroups

    java.lang.Object
      escjava.tc.Datagroups

public class Datagroups
extends java.lang.Object

Field Summary
`private static ASTDecoration` | `datagroups`
`private static java.util.List` | `empty`

Constructor Summary
`Datagroups()`

Method Summary
`static void` | `add(TypeDecl td, FieldDecl fd, Expr fa)` Add Expr fa to the datagroup for declaration fd in the context of type td; the declaration fd may be in a superclass.
`static void` | `addToMap(java.util.Map map, java.util.Map m)`
`static java.util.List` | `get(TypeDecl td, FieldDecl fd)` Get the items that are in the datagroup for fd
`static java.util.Map` | `getMap(TypeDecl td)`
`static java.util.Map` | `initMap(TypeDecl td)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### datagroups

    private static final ASTDecoration datagroups

### empty

    private static final java.util.List empty

Constructor Detail

### Datagroups

    public Datagroups()

Method Detail

### get

    public static java.util.List get(TypeDecl td,
                                     FieldDecl fd)

  Get the items that are in the datagroup for fd

### add

    public static void add(TypeDecl td,
                           FieldDecl fd,
                           Expr fa)

  Add Expr fa to the datagroup for declaration fd in the context of type td; the declaration fd may be in a superclass. When we fetch a contents of a datagroup, we only fetch the fields that are in td or its superclasses and super interfaces.

### initMap

    public static java.util.Map initMap(TypeDecl td)

### getMap

    public static java.util.Map getMap(TypeDecl td)

### addToMap

    public static void addToMap(java.util.Map map,
                                java.util.Map m)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ESC/Java2 © 2003,2004,2005 David Cok and Joseph Kiniry © 2005 UCD Dublin © 2003,2004 Radboud University Nijmegen © 1999,2000 Compaq Computer Corporation © 1997,1998,1999 Digital Equipment Corporation All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

The ESC/Java2 Project Homepage